from numba import njit


# define a constant table as function, because numba
@njit
def TLT():
    return [
        [[0]],
        [[0, 1, 2]],
        [[2, 10, 11]],
        [[0, 1, 10, 11]],
        [[1, 8, 9]],
        [[0, 8, 9, 2]],
        [[1, 8, 9], [2, 10, 11]],
        [[0, 8, 9, 10, 11]],
        [[3, 10, 9]],
        [[0, 1, 2], [3, 10, 9]],
        [[2, 9, 3, 11]],
        [[0, 1, 9, 3, 11]],
        [[1, 8, 3, 10]],
        [[0, 8, 3, 10, 2]],
        [[1, 8, 3, 11, 2]],
        [[0, 8, 3, 11]],
        [[0, 6, 7]],
        [[1, 2, 6, 7]],
        [[0, 6, 7], [2, 10, 11]],
        [[1, 10, 11, 6, 7]],
        [[0, 6, 7], [1, 8, 9]],
        [[2, 6, 7, 8, 9]],
        [[2, 10, 11], [0, 6, 7], [1, 8, 9]],
        [[6, 7, 8, 9, 10, 11]],
        [[3, 10, 9], [0, 6, 7]],
        [[1, 2, 6, 7], [3, 10, 9]],
        [[2, 9, 3, 11], [0, 6, 7]],
        [[1, 9, 3, 11, 6, 7]],
        [[1, 8, 3, 10], [0, 6, 7]],
        [[0, 8, 3, 10, 2], [0, 6, 7]],
        [[0, 6, 7], [1, 8, 3, 11, 2]],
        [[3, 11, 6, 7, 8]],
        [[6, 11, 4]],
        [[0, 1, 2], [4, 6, 11]],
        [[2, 10, 4, 6]],
        [[0, 1, 10, 4, 6]],
        [[4, 6, 11], [1, 8, 9]],
        [[4, 6, 11], [0, 8, 9, 2]],
        [[2, 10, 4, 6], [1, 8, 9]],
        [[0, 8, 9, 10, 4, 6]],
        [[4, 6, 11], [3, 10, 9]],
        [[0, 1, 2], [4, 6, 11], [3, 10, 9]],
        [[2, 9, 3, 4, 6]],
        [[0, 1, 9, 3, 4, 6]],
        [[6, 11, 4], [1, 8, 3, 10]],
        [[0, 8, 3, 10, 2], [6, 11, 4]],
        [[1, 8, 3, 4, 6, 2]],
        [[0, 8, 3, 4, 6]],
        [[0, 11, 4, 7]],
        [[1, 2, 11, 4, 7]],
        [[0, 2, 10, 4, 7]],
        [[1, 10, 4, 7]],
        [[0, 11, 4, 7], [1, 8, 9]],
        [[4, 7, 8, 9, 2, 11]],
        [[0, 2, 10, 4, 7], [1, 8, 9]],
        [[4, 7, 8, 9, 10]],
        [[0, 11, 4, 7], [3, 10, 9]],
        [[1, 2, 11, 4, 7], [3, 10, 9]],
        [[0, 2, 9, 3, 5, 7]],
        [[1, 9, 3, 4, 7]],
        [[0, 11, 4, 7], [1, 8, 3, 10]],
        [[4, 7, 8, 3], [2, 11, 10]],
        [[4, 7, 8, 3], [0, 2, 1]],
        [[3, 4, 7, 8]],
        [[5, 8, 7]],
        [[0, 1, 2], [5, 8, 7]],
        [[2, 10, 11], [5, 8, 7]],
        [[0, 1, 10, 11], [5, 8, 7]],
        [[1, 7, 5, 9]],
        [[0, 7, 5, 9, 2]],
        [[1, 7, 5, 9], [2, 10, 11]],
        [[7, 5, 9, 10, 11, 0]],
        [[5, 8, 7], [3, 10, 9]],
        [[5, 8, 7], [3, 10, 9], [0, 1, 2]],
        [[2, 9, 3, 11], [5, 7, 8]],
        [[0, 1, 9, 3, 11], [5, 7, 8]],
        [[1, 7, 5, 3, 10]],
        [[7, 5, 3, 10, 2, 0]],
        [[1, 7, 5, 3, 11, 2]],
        [[0, 7, 5, 3, 11]],
        [[0, 6, 5, 8]],
        [[1, 2, 6, 5, 8]],
        [[0, 6, 5, 8], [2, 10, 11]],
        [[5, 8, 1, 10, 11, 6]],
        [[0, 6, 5, 9, 1]],
        [[2, 6, 5, 9]],
        [[5, 9, 10, 11, 6], [0, 2, 1]],
        [[6, 5, 9, 10, 11]],
        [[0, 6, 5, 8], [3, 10, 9]],
        [[1, 2, 6, 5, 8], [3, 10, 9]],
        [[0, 6, 5, 8], [2, 9, 3, 11]],
        [[11, 6, 5, 3], [1, 9, 8]],
        [[6, 5, 3, 10, 1, 0]],
        [[2, 6, 5, 3, 10]],
        [[0, 2, 1], [11, 6, 5, 3]],
        [[3, 11, 6, 5]],
        [[4, 6, 11], [5, 8, 7]],
        [[4, 6, 11], [5, 8, 7], [0, 1, 2]],
        [[2, 10, 4, 6], [5, 8, 7]],
        [[0, 1, 10, 4, 6], [5, 8, 7]],
        [[1, 7, 5, 9], [4, 6, 11]],
        [[0, 7, 5, 9, 2], [4, 6, 11]],
        [[5, 9, 10, 4], [7, 6, 2, 1]],
        [[5, 9, 10, 4], [0, 7, 6]],
        [[4, 6, 11], [3, 10, 9], [5, 8, 7]],
        [[3, 4, 5], [0, 7, 6], [1, 9, 8], [2, 11, 10]],
        [[9, 8, 7, 6, 2], [3, 4, 5]],
        [[3, 4, 5], [0, 7, 6], [1, 9, 8]],
        [[3, 4, 5], [7, 6, 11, 10, 1]],
        [[3, 4, 5], [0, 7, 6], [2, 11, 10]],
        [[3, 4, 5], [7, 6, 2, 1]],
        [[3, 4, 5], [0, 7, 6]],
        [[0, 11, 4, 5, 8]],
        [[1, 2, 11, 4, 5, 8]],
        [[2, 10, 4, 5, 8, 0]],
        [[1, 10, 4, 5, 8]],
        [[11, 4, 5, 9, 1, 0]],
        [[2, 11, 4, 5, 9]],
        [[0, 2, 1], [4, 5, 9, 10]],
        [[4, 5, 9, 10]],
        [[3, 4, 5], [11, 10, 9, 8, 0]],
        [[3, 4, 5], [1, 9, 8], [2, 11, 10]],
        [[3, 4, 5], [2, 9, 8, 0]],
        [[3, 4, 5], [1, 9, 8]],
        [[11, 10, 1, 0], [3, 4, 5]],
        [[3, 4, 5], [2, 11, 10]],
        [[0, 2, 1], [3, 4, 5]],
        [[3, 4, 5]],
        [[3, 5, 4]],
        [[0, 1, 2], [3, 5, 4]],
        [[3, 5, 4], [2, 10, 11]],
        [[0, 1, 10, 11], [3, 5, 4]],
        [[3, 5, 4], [1, 8, 9]],
        [[3, 5, 4], [0, 8, 9, 2]],
        [[3, 5, 4], [1, 8, 9], [2, 10, 11]],
        [[3, 5, 4], [0, 8, 9, 10, 11]],
        [[4, 10, 9, 5]],
        [[0, 1, 2], [4, 10, 9, 5]],
        [[2, 9, 5, 4, 11]],
        [[0, 1, 9, 5, 4, 11]],
        [[1, 8, 5, 4, 10]],
        [[0, 8, 5, 4, 10, 2]],
        [[8, 5, 4, 11, 2, 1]],
        [[0, 8, 5, 4, 11]],
        [[3, 5, 4], [0, 6, 7]],
        [[3, 5, 4], [1, 2, 6, 7]],
        [[3, 5, 4], [0, 6, 7], [2, 10, 11]],
        [[3, 5, 4], [1, 10, 11, 6, 7]],
        [[3, 5, 4], [0, 6, 7], [1, 8, 9]],
        [[2, 6, 7, 8, 9], [3, 5, 4]],
        [[3, 5, 4], [0, 6, 7], [1, 8, 9], [2, 10, 11]],
        [[4, 11, 6], [3, 9, 10], [5, 7, 8]],
        [[4, 10, 9, 5], [0, 6, 7]],
        [[4, 10, 9, 5], [1, 2, 6, 7]],
        [[2, 9, 5, 7, 0], [4, 11, 6]],
        [[9, 5, 7, 1], [4, 11, 6]],
        [[6, 4, 10, 1, 0], [5, 7, 8]],
        [[6, 4, 10, 2], [5, 7, 8]],
        [[4, 11, 6], [5, 7, 8], [0, 2, 1]],
        [[4, 11, 6], [5, 7, 8]],
        [[3, 5, 6, 11]],
        [[0, 1, 2], [3, 5, 6, 11]],
        [[2, 10, 3, 5, 6]],
        [[0, 1, 10, 3, 5, 6]],
        [[3, 5, 6, 11], [1, 8, 9]],
        [[8, 5, 6, 0], [11, 3, 9, 2]],
        [[1, 2, 6, 5, 8], [3, 10, 9]],
        [[8, 5, 6, 0], [3, 9, 10]],
        [[6, 11, 10, 9, 5]],
        [[6, 11, 10, 9, 5], [0, 1, 2]],
        [[2, 9, 5, 6]],
        [[0, 1, 9, 5, 6]],
        [[6, 11, 10, 1, 8, 5]],
        [[8, 5, 6, 0], [2, 11, 10]],
        [[1, 8, 5, 6, 2]],
        [[0, 8, 5, 6]],
        [[0, 11, 3, 5, 7]],
        [[2, 11, 3, 5, 7, 1]],
        [[0, 2, 10, 3, 5, 7]],
        [[1, 10, 3, 5, 7]],
        [[11, 3, 9, 1, 0], [5, 8, 7]],
        [[11, 3, 9, 2], [5, 8, 7]],
        [[5, 7, 8], [3, 9, 10], [0, 2, 1]],
        [[5, 7, 8], [3, 9, 10]],
        [[0, 11, 10, 9, 5, 7]],
        [[9, 5, 7, 1], [2, 11, 10]],
        [[2, 9, 5, 7, 0]],
        [[1, 9, 5, 7]],
        [[11, 10, 1, 0], [5, 7, 8]],
        [[2, 11, 10], [5, 7, 8]],
        [[0, 2, 1], [5, 7, 8]],
        [[5, 7, 8]],
        [[3, 8, 7, 4]],
        [[3, 8, 7, 4], [0, 1, 2]],
        [[3, 8, 7, 4], [2, 10, 11]],
        [[7, 4, 11, 0], [10, 3, 8, 1]],
        [[1, 7, 4, 3, 9]],
        [[7, 5, 3, 9, 2, 0]],
        [[7, 4, 11, 2, 1], [3, 9, 10]],
        [[7, 4, 11, 0], [3, 9, 10]],
        [[4, 10, 9, 8, 7]],
        [[0, 7, 4, 10, 2], [1, 9, 8]],
        [[11, 2, 9, 8, 7, 4]],
        [[7, 4, 11, 0], [1, 9, 8]],
        [[1, 7, 4, 10]],
        [[0, 7, 4, 10, 2]],
        [[1, 7, 4, 11, 2]],
        [[0, 7, 4, 11]],
        [[0, 6, 4, 3, 8]],
        [[2, 6, 4, 3, 8, 1]],
        [[2, 10, 3, 8, 0], [6, 4, 11]],
        [[6, 4, 11], [10, 3, 8, 1]],
        [[6, 4, 3, 9, 1, 0]],
        [[2, 6, 4, 3, 9]],
        [[0, 2, 1], [4, 11, 6], [3, 9, 10]],
        [[4, 11, 6], [3, 9, 10]],
        [[6, 4, 10, 9, 8, 0]],
        [[6, 4, 10, 2], [1, 9, 8]],
        [[4, 11, 6], [2, 9, 8, 0]],
        [[4, 11, 6], [1, 9, 8]],
        [[0, 6, 4, 10, 1]],
        [[2, 6, 4, 10]],
        [[2, 1, 0], [11, 6, 4]],
        [[6, 4, 11]],
        [[3, 8, 7, 6, 11]],
        [[0, 7, 6], [2, 11, 3, 8, 1]],
        [[2, 10, 3, 8, 0], [0, 7, 6]],
        [[10, 3, 8, 1], [0, 7, 6]],
        [[7, 6, 11, 3, 9, 1]],
        [[11, 3, 9, 2], [0, 7, 6]],
        [[7, 6, 2, 1], [3, 9, 10]],
        [[3, 9, 10], [0, 7, 6]],
        [[11, 10, 9, 8, 7, 6]],
        [[11, 10, 2], [0, 7, 6], [1, 9, 8]],
        [[2, 9, 8, 7, 6]],
        [[7, 6, 0], [9, 8, 1]],
        [[1, 7, 6, 11, 10]],
        [[7, 6, 0], [11, 10, 2]],
        [[1, 7, 6, 2]],
        [[0, 7, 6]],
        [[0, 11, 3, 8]],
        [[1, 2, 11, 3, 8]],
        [[0, 2, 10, 3, 8]],
        [[1, 10, 3, 8]],
        [[0, 11, 3, 9, 1]],
        [[2, 11, 3, 9]],
        [[2, 1, 0], [9, 10, 3]],
        [[3, 9, 10]],
        [[0, 11, 10, 9, 8]],
        [[9, 8, 1], [11, 10, 2]],
        [[0, 2, 9, 8]],
        [[1, 9, 8]],
        [[0, 11, 10, 1]],
        [[2, 11, 10]],
        [[0, 2, 1]],
        [[0]],
    ]
